aboutsummaryrefslogtreecommitdiff
path: root/.local/share/bin/bootloader
diff options
context:
space:
mode:
Diffstat (limited to '.local/share/bin/bootloader')
-rwxr-xr-x.local/share/bin/bootloader13
1 files changed, 13 insertions, 0 deletions
diff --git a/.local/share/bin/bootloader b/.local/share/bin/bootloader
new file mode 100755
index 0000000..f6f6917
--- /dev/null
+++ b/.local/share/bin/bootloader
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+bye () {
+ echo "run me as root!"
+ exit 1
+}
+
+[ $(id -g) -ne 0 ] && bye
+
+mount /boot
+pacman --noconfirm -S linux
+grub-install --target=x86_64-efi --efi-directory=/boot --bootloader-id=GRUB
+grub-mkconfig -o /boot/grub/grub.cfg